<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <title>MarkerClusterer v3 Simple Example</title>
    <style >
      body {
        margin: 0;
        font-family: Arial;
        font-size: 16px;
		height: 100%;
		width:100%;
		border: 5px solid red;
      }
	  div#map-container{
        height: 100%;		  
	  }
      div#map {
        width: 100%;
        height: 600px;
      }

    </style>

    <script src="data.json"></script>

	<script src="//code.jquery.com/jquery-1.12.4.js"></script>
  	 
	 <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" crossorigin="anonymous"></script>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" crossorigin="anonymous">
 
 	<script src="//code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
 	<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
   
	<script src="js/menu-desp.js"></script>
 	<script src="js/searchs.js"></script>
   	<script src="js/parsePoly.js"></script>
   	<script src="js/gps.js"></script>
   	<script src="js/markerclusterer.js"></script>
 	<link href="css/style.css" rel="stylesheet" media="screen">

	<script src="./js/jquery-ui-timepicker-addon.js"></script>
	<link href="./css/jquery-ui-timepicker-addon.css" rel="stylesheet" media="screen">
    

    <script>
      function initialize() {

		var mapCanvas =  document.getElementById('map')
		var myCenter = new google.maps.LatLng(-23.199948, -69.647242);		
		var mapOptions = {
			center: myCenter,
			zoom: 5,
		};
		map = new google.maps.Map(mapCanvas, mapOptions);	
		
        var markers = [];
        for (var i = 0; i < 100; i++) {
          var dataPhoto = data.photos[i];
          var latLng = new google.maps.LatLng(dataPhoto.latitude,
              dataPhoto.longitude);


			var icon = {
				path: google.maps.SymbolPath.FORWARD_CLOSED_ARROW,
				fillColor: "00FFCC",
				fillOpacity: 100,
				strokeColor: "CCFF99",
				strokeWeight: 1.5,
				scale: 4,
				rotation: 45
			};		  
		  
		  markers[i] = new google.maps.Marker({
			position: latLng,
			map: map,
			icon:icon,
			title: 'Patente: fadsf',
			animation: "google.maps.Animation.BOUNCE"
		});
		  
          //smarkers.push(marker);
        }
        var markerCluster = new MarkerClusterer(map, markers, {imagePath: './images/m'});
      }
    </script>
  </head>
  <body>
    <h3>A simple example of MarkerClusterer</h3>
    <div id="map-container"><div id="map"></div></div>
  </body>
  	<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCPSWiYwgsb-AHamk_0G6oAcTANacBVQzc&callback=initialize"></script>
</html>
